Team

Inspect the team and members associated with the API key

get

Get a team by ID. The API key must be scoped to the requested team.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
team_idstring · uuidRequired

Team ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Responses
200

Default Response

application/json
get
/v1/teams/{team_id}
get

List members of a team. The authenticated session or API key must be scoped to the requested team.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
teamIdstring · uuidRequired

Team ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Query parameters
limitinteger · min: 1 · max: 100Optional

Number of members per page (1-100, default 50)

Default: 50
offsetinteger · max: 9007199254740991Optional

Number of members to skip

Responses
200

Default Response

application/json
totalinteger · max: 9007199254740991Required
limitinteger · max: 9007199254740991Required
offsetinteger · max: 9007199254740991Required
get
/v1/teams/{teamId}/members
get

Get the profile of the authenticated user (the owner of the API key).

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Responses
200

Default Response

application/json
get
/v1/profile

Last updated